'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _rebass = require('rebass');

var _MultiLineText = require('../MultiLineText');

var _MultiLineText2 = _interopRequireDefault(_MultiLineText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/** Intro */
function Intro(_ref) {
  var contentLoc = _ref.contentLoc,
      contentPx = _ref.contentPx,
      _ref$title = _ref.title,
      titleSizes = _ref$title.titleSizes,
      titleText = _ref$title.titleText,
      titleColor = _ref$title.titleColor,
      titleBold = _ref$title.titleBold,
      titleMys = _ref$title.titleMys,
      titlePbs = _ref$title.titlePbs,
      _ref$description = _ref.description,
      descriptionText = _ref$description.descriptionText,
      descriptionSizes = _ref$description.descriptionSizes,
      descriptionColor = _ref$description.descriptionColor,
      descriptionBold = _ref$description.descriptionBold,
      descriptionMys = _ref$description.descriptionMys,
      descriptionPbs = _ref$description.descriptionPbs;

  return _react2.default.createElement(
    _rebass.Flex,
    { style: { margin: '0 auto', textAlign: 'center', maxWidth: '850px' }, wrap: true, px: contentPx },
    _react2.default.createElement(
      _rebass.Box,
      { width: [1], my: titleMys },
      _react2.default.createElement(_MultiLineText2.default, {
        multiLineText: titleText,
        f: titleSizes,
        color: titleColor,
        bold: titleBold,
        pb: titlePbs
      })
    ),
    _react2.default.createElement(
      _rebass.Box,
      { width: [1] },
      _react2.default.createElement(_MultiLineText2.default, {
        multiLineText: descriptionText,
        f: descriptionSizes,
        color: descriptionColor,
        bold: descriptionBold,
        my: descriptionMys,
        pb: descriptionPbs
      })
    )
  );
}

Intro.propTypes = {
  /** padding x axis in array */
  contentPx: _propTypes2.default.array,

  /** Title */
  title: _propTypes2.default.shape({
    /** text of title */
    titleText: _propTypes2.default.string,
    /** title size in array */
    titleSizes: _propTypes2.default.array,
    /** color of title */
    titleColor: _propTypes2.default.string,
    /** bold for title */
    titleBold: _propTypes2.default.string,
    /** mys for title */
    titleMys: _propTypes2.default.array,
    /** pbs for title */
    titlePbs: _propTypes2.default.array
  }),

  /** Description */
  description: _propTypes2.default.shape({
    /** text of description */
    descriptionText: _propTypes2.default.string,
    /** text size in array */
    descriptionSizes: _propTypes2.default.array,
    /** color of description */
    descriptionColor: _propTypes2.default.string,
    /** bold for description */
    descriptionBold: _propTypes2.default.string,
    /** mys for description */
    descriptionMys: _propTypes2.default.array,
    /** pbs for description */
    descriptionPbs: _propTypes2.default.array
  })
};

Intro.defaultProps = {
  contentPx: [1, 3, 4, 4],
  title: {
    titleText: 'SKYWINGS PARAGLIDING',
    titleSizes: [6],
    titleColor: '#ea9a4c',
    titleBold: 'normal',
    titleMys: [6],
    titlePbs: [0]
  },
  description: {
    descriptionText: '스카이윙즈의 모든 파일럿들은 SHPA(스위스 행글라이딩, 패러글라이딩 협회)에서 공식적으로 검증 받았으며 고난이도의 훈련을 통과하였습니다. 신뢰와 안전, 그리고 실시간 한국어 예약서비스까지. 스카이윙즈는 최고의 고객서비스를 선사합니다 !\n담당 파일럿이 본인 하네스에 카메라를 부착해드립니다. 휴대폰과 대형 카메라는 비행 중 탈락 시 대형 사고의 위험이 있어 휴대가 금지됩니다. 위 물품들을 이륙장소에 가지고 오시는 경우, 비행동안 안전하게 보관해드립니다. 선택 사항으로 HD퀄리티의 사진과 동영상 서비스를 제공합니다. 여러분의 환상적인 추억을 USB에 담아드립니다.',
    descriptionSizes: [2],
    descriptionColor: '#8e8e8e',
    descriptionBold: 'normal',
    descriptionMys: [3],
    descriptionPbs: [3]
  }
};

exports.default = Intro;